<?php
/**
 * The template used for displaying post content in single.php
 *
 * @package Theme Palace
 * @subpackage Foodland Pro
 * @since Foodland 1.0 
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<header class="entry-header">
			<?php the_title( '<h2 class="entry-title">', '</h2>' ); ?>
			<?php foodland_entry_meta(); ?>
		</header><!-- .entry-header -->

		<?php  
		/** 
		 * foodland_before_post_container hook
		 *
 		 * @hooked foodland_single_content_image - 10
		 */
		do_action( 'foodland_before_post_container' );
		?>

		<div class="entry-content">
			<?php the_content(); ?>
			<footer class="entry-footer">
				<?php foodland_tag_category(); ?>
			</footer><!-- .entry-footer -->
		</div><!-- .entry-content -->

</article><!-- #post-## -->
