<?php
/**
 * The template used for displaying product content in nova.php
 *
 * @package Theme Palace
 * @subpackage Foodland Pro
 * @since Foodland 1.0 
 */

 // get theme options
 $options = foodland_get_theme_options();
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
   	<div class="product-image clearfix">
        <?php 
        	/** 
			 * foodland_before_post_container hook
			 *
	 		 * @hooked foodland_single_content_image - 10
			 */
				do_action( 'foodland_before_post_container' );
        ?>
            <div class="product-info">
                <div class="pdt-name">
                   <?php the_title( '<h2 class="upercase">', '</h2>' ); 
                    
                        if( function_exists( 'foodland_get_menu_item_ratings' ) ){
                            $rating = get_post_meta ( $post->ID, 'menu_rating', true );
                            $menu_item_rating = foodland_get_menu_item_ratings( $rating ); // get menu item rating 
                            echo $menu_item_rating; 
                        } 
                    ?>
                </div><!-- .pdt-name -->
                <?php  $nova_price = get_post_meta ( $post->ID, 'nova_price', true ); // get menu item price
                if( !empty( $nova_price ) ){  ?>
            	<div class="pdt-cost">
                    <p class="dollar-cost"><?php echo esc_html( $nova_price ); ?></p>

                </div><!-- .pdt-cost -->
                <?php } ?>
            </div><!-- .product-info -->
    </div><!-- .product-image -->
               
    <div class="product-descrp">
        <?php the_title( '<h2 class="upercase">', '</h2>' );?>
            <div class="empty-space1"></div>
                <?php the_content(); ?>
    </div><!-- product-description -->

    <?php   if( class_exists( 'WPCF7' ) && !$options['cf7_disable'] ){ ?>
                <div class="order-item">
                <?php if( !empty( $options['cf7_title'] ) || !empty( $options['cf7_sub_title'] ) ){ ?>
                        <div class="order-header"> 
                        <?php if( !empty( $options['cf7_title'] ) ) { ?>            
                                <h3 class="order-title"><?php echo esc_html( $options['cf7_title'] ); ?></h3>
                        <?php } 
                            if ( !empty( $options['cf7_sub_title'] ) ){ ?>
                                <p class="order-subtitle"><?php echo esc_html( $options['cf7_sub_title'] ); ?> </p>
                        <?php } ?>
                     </div> <!-- .order-header -->
                <?php
                    }
                    if( !empty( $options['cf7_shortcode'] ) ){
                        echo do_shortcode( $options['cf7_shortcode'] );
                    }
                ?>
                </div><!-- .order-item -->
    <?php   } ?>           
</article>